Skip to main content
GET
/
targeting
/
dimensions
/
{system}
List targeting dimension values
curl --request GET \
  --url https://api.interchange.io/api/v2/buyer/targeting/dimensions/{system} \
  --header 'Authorization: Bearer <token>'
{
  "system": "nielsen_dma",
  "name": "Nielsen DMA",
  "description": "<string>",
  "locale": "en-US",
  "targetingFields": [
    "geo_metros",
    "geo_metros_exclude"
  ],
  "entries": [
    {
      "code": "532",
      "name": "Albany-Schenectady-Troy"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

system
enum<string>
required

Supported targeting dimension system

Available options:
nielsen_dma
Example:

"nielsen_dma"

Query Parameters

locale
enum<string>
default:en-US

Display-label locale. Currently only en-US is supported.

Available options:
en-US
Example:

"en-US"

Response

List targeting dimension values

Targeting dimension codes and localized display labels for buyer-side display and input resolution.

system
enum<string>
required

Supported targeting dimension system

Available options:
nielsen_dma
Example:

"nielsen_dma"

name
string
required

Human-readable dimension name

Example:

"Nielsen DMA"

description
string
required

What this targeting dimension represents

locale
enum<string>
required

Locale for the display labels

Available options:
en-US
Example:

"en-US"

targetingFields
string[]
required

Campaign constraint fields that accept this dimension

Example:
["geo_metros", "geo_metros_exclude"]
entries
object[]
required

Known code-name pairs for this system